Get Economic Calendar Events
GET/v1/calendars/economic-events
Retrieves macroeconomic calendar events (e.g. CPI, jobs reports, central bank rate decisions), optionally filtered by country, impact, and event time range.
Absent a timestamp lower bound, results default to events from the
start of the previous trading day (America/New_York); absent an upper
bound, results default through 7 days from today (America/New_York).
Get Economic Calendar Events
curl https://api.clearstreet.com/v1/calendars/economic-events \
-H "Authorization: Bearer $API_KEY"{
"data": [
{
"actual": null,
"change": null,
"change_percentage": null,
"country": "US",
"currency": "USD",
"estimate": "0.30",
"impact": "HIGH",
"name": "CPI m/m",
"previous": "0.20",
"timestamp": "2025-11-05T13:30:00.000000000Z",
"unit": "%"
}
],
"error": null,
"metadata": {
"request_id": "0f1a2b3c-4d5e-6f78-9012-3a4b5c6d7e8f"
}
}Returns Examples
{
"data": [
{
"actual": null,
"change": null,
"change_percentage": null,
"country": "US",
"currency": "USD",
"estimate": "0.30",
"impact": "HIGH",
"name": "CPI m/m",
"previous": "0.20",
"timestamp": "2025-11-05T13:30:00.000000000Z",
"unit": "%"
}
],
"error": null,
"metadata": {
"request_id": "0f1a2b3c-4d5e-6f78-9012-3a4b5c6d7e8f"
}
}